sys.url=https://jiasm.zfire.top
#支付回调地址
wechat.payment.notifyUrl=${sys.url}/zfdminiapp/pay/payCall
#退款回调地址
wechat.payment.refundNotifyUrl=${sys.url}/zfdminiapp/pay/refundCall
#物流回调
express.callback=${sys.url}/${server.servlet.context-path}/common/express/callback

#定时器
schedule.enable=false
#分销商城商品接口
gjmall.goods.url=http://121.43.111.127:10003/goods/outside/list

##SQL执行分析，该插件有性能损耗，不建议生产环境使用
spring.datasource.druid.db-type=mysql
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver

spring.datasource.url=jdbc:mysql://121.43.111.127:3306/zfire-dept-mall?verifyServerCertificate=false&useSSL=false&requireSSL=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=utf8&serverTimezone=Asia/Shanghai
spring.datasource.username=root
spring.datasource.password=xch!eCdvc124@

#prd
#spring.datasource.url=jdbc:mysql://rm-bp1gsex17k87vu0npmo.mysql.rds.aliyuncs.com:6033/sxb-mall?verifyServerCertificate=false&useSSL=false&requireSSL=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=utf8&serverTimezone=Asia/Shanghai
#spring.datasource.username=sxb
#spring.datasource.password=asdf3xFcs*aWx

spring.datasource.druid.connection-init-sqls=set names utf8mb4
spring.datasource.druid.initial-size=5
spring.datasource.druid.minIdle=5
spring.datasource.druid.maxActive=20
### 配置获取连接等待超时的时间，单位是毫秒
spring.datasource.druid.maxWait=60000
### 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
spring.datasource.druid.timeBetweenEvictionRunsMillis=60000
### 配置一个连接在池中最小生存的时间，单位是毫秒
spring.datasource.druid.minEvictableIdleTimeMillis=300000
spring.datasource.druid.validationQuery=SELECT 1 FROM DUAL
spring.datasource.druid.testWhileIdle=true
spring.datasource.druid.testOnBorrow=false
spring.datasource.druid.testOnReturn=false
### 打开PSCache，并且指定每个连接上PSCache的大小
spring.datasource.druid.poolPreparedStatements=true
spring.datasource.druid.maxPoolPreparedStatementPerConnectionSize=20
### 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
spring.datasource.druid.filters=stat,wall

### 通过connectProperties属性来打开mergeSql功能；慢SQL记录
spring.datasource.druid.connectionProperties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
# 合并多个DruidDataSource的监控数据
#spring.datasource.useGlobalDataSourceStat=true



mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl


#####################redis 单机版 start################
spring.redis.port=6388
spring.redis.host=121.43.111.127
#redis密码
spring.redis.password=private123@^
spring.redis.lettuce.pool.max-active=300
spring.redis.lettuce.pool.max-wait=1000ms
spring.redis.lettuce.pool.max-idle=100
spring.redis.lettuce.pool.min-idle=0
spring.redis.timeout=100000ms


####################阿里云配置######################
#ali.access.key.id=LTAI5tQjvbfM1MD11aEEU9YG
#ali.access.key.secert=mvs3mjxYZcGfNSBuoRxgt1Pvq2OmBH
#ali.oss.bucket.name=train-2023
ali.access.key.id=LTAI5tDHiEGKuwzNhW2gLPyc
ali.access.key.secert=NVXSx3Gj7fHv6unGwWgalJh49uMZOI
ali.oss.bucket.name=zf-mall-test
ali.oss.endpoint.ww=oss-cn-shenzhen.aliyuncs.com/
ali.oss.endpoint=oss-cn-shenzhen-internal.aliyuncs.com/
ali.oss.type.pic=uploadfile/
ali.sms.msg.code=SMS_284585310
ali.cdn.url=

#微信公众域名
wechat.mp.url=https://jiasm.zfire.top/gejiangh5/

#通联支付回调地址
allIn.payment.notifyUrl=${sys.url}/zfdminiapp/pay/allinpay/callback

#内部接口
inf.url=http://121.43.111.127:11111
inf.token.appid=zfire-jsm-sxb
inf.token.appSecret=3e7iee31ub94rvvesp7266kwske7fple

#分销商城appid
share.mall.appid=wx21d155e8a449d9b1

#elasticsearch
spring.elasticsearch.rest.uris=http://116.62.158.92:9200
spring.elasticsearch.rest.username=elastic
spring.elasticsearch.rest.password=zfire2022@
spring.elasticsearch.rest.connection-timeout=5s
spring.elasticsearch.rest.read-timeout=30s

#cmc bank request setting
cmc.bank.url=http://cdctest.cmburl.cn:80/cdcserver/api/v2

#联通云呼配置
unicome.yunh.baseurl=https://a5.7x24cc.com
unicome.yunh.account=N000000015221
unicome.yunh.secret=fe443fc0264411ec80212baafe602ea7
unicome.yunh.appid=69jpgmwqxyhtcsor

#法大大
fadada.app.id=401793
fadada.app.secret=eB8mlIWs7ayFihEzWbNfMjrL
fadada.app.v=2.0
fadada.app.host=https://testapi04.fadada.com/api/
fadada.company.auth.page-modify=1
fadada.company.auth.verified-way=3
fadada.company.auth.return.url=
fadada.company.auth.notify.url=${sys.url}/${server.servlet.context-path}/fdd/notify/company/ca/auth
fadada.company.auth.auto.notify.url=${sys.url}/${server.servlet.context-path}/fdd/notify/company/ca/auth/auto
fadada.company.sign.return.url=
fadada.company.sign.notify.url=${sys.url}/${server.servlet.context-path}/fdd/notify/company/ca/sign
fadada.websit.auth.page-modify=1
fadada.websit.auth.verified-way=3
fadada.websit.auth.notify.url=${sys.url}/${server.servlet.context-path}/fdd/notify/websit/auth
fadada.websit.sign.notify.url=${sys.url}/${server.servlet.context-path}/fdd/notify/websit/batch/sign
fadada.websit.person.auth.notify.url=${sys.url}/${server.servlet.context-path}/fdd/notify/websit/person

gree.four.url=http://api.sms-test.gree.com/api/sso/sms-server-order-external


#总部3.0接口地址
gree.V3.url=https://api-sms.gree.com
gree.V3.gettoken=http://api.sms-test.gree.com/api/pub/nts-foundation-flycloud-user/api/v1/openid-connect/token
gree.client.id=guangfoserver
gree.V3.client.secert=f81f5ac8-ad24-4212-9b2d-9cc78f982562
gree.V3.api.url=${gree.V3.url}/api/sso/autoapp-default-server-greeshmobile/api/yunpaigong/accessories
gree.check.barcode=${gree.V3.url}/api/sso/autoapp-default-server-installaccounts/api/ext/azwgmx/checkBarcode
gree.repair.settle.get=${gree.V3.url}/api/sso/autoapp-default-server-greerepairaccounts/api/JsBzController/xsGetJsbzByJxxmh
gree.repair.settle.do=${gree.V3.url}/api/sso/autoapp-default-server-greerepairaccounts/api/repairsettlement/gzBatchSettlement
#总部接口地址
gree.api.url=${gree.V3.url}/api/sso/autoapp-default-server-guangzhou/api/outapp/default/general
gree.web.url=${gree.V3.url}/api/sso/autoapp-default-server-guangzhou
gree.grant_type=client_credentials
gree.gz.appid=O921980101
gree.gz.appkey=4Bx3m3fOMatutVv1u08kUdtIYZ4FsN4x
gree.fs.appid=O921980101
gree.fs.appkey=4Bx3m3fOMatutVv1u08kUdtIYZ4FsN4x
